// Persistence Of Vision raytracer version 1.0 sample file.
#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

#include "motion.inc"
camera {
   location <XLoc  YLoc  ZLoc>
   direction <0 0  1>
   up  <0  1  0>
   right <1.33333 0 0>
   look_at <0 0 0>
}

// Light source
object { light_source {  <10 15  -25> color White } }
object { light_source {  <-5 5  -1> color White } }

object { sphere { <-1 0.75 -1> 0.5 } texture { Glossy color Salmon  } }
object { sphere { < 0 0.75  0> 0.5 } texture { Glossy color Plum    } }
object { sphere { < 1 0.75 -1> 0.5 } texture { Glossy color Thistle } }

object { plane { <0 1 0> 0 } texture { Glossy  color SteelBlue } }
